# Generated by Django 4.2 on 2023-06-27 10:08

import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import multiselectfield.db.fields
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Appointments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=30, verbose_name='Користувач')),
                ('user_email', models.CharField(max_length=50, verbose_name='Електронна адреса')),
                ('doctor', models.CharField(max_length=150, verbose_name='ПІБ лікаря')),
                ('doctor_specialization', models.CharField(max_length=50, verbose_name='Спеціалізація')),
                ('day', models.CharField(max_length=10, verbose_name='День')),
                ('time', models.CharField(max_length=10, verbose_name='Час')),
                ('meet_url', models.URLField(verbose_name='Посилання на зустріч')),
                ('code', models.CharField(max_length=6, verbose_name='Код')),
                ('time_create', models.DateTimeField(verbose_name='Дата запису')),
            ],
            options={
                'verbose_name': 'Запис',
                'verbose_name_plural': 'Записи',
            },
        ),
        migrations.CreateModel(
            name='BlockedIP',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip_address', models.GenericIPAddressField(unique=True)),
            ],
            options={
                'verbose_name': 'Заблокований користувач',
                'verbose_name_plural': 'Заблоковані користувачі',
            },
        ),
        migrations.CreateModel(
            name='Doctors',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50, verbose_name='Імя')),
                ('last_name', models.CharField(max_length=50, verbose_name='Призвіще')),
                ('surname', models.CharField(max_length=50, verbose_name='По батькові')),
                ('photo', models.ImageField(max_length=255, upload_to='', verbose_name='Фотографія')),
                ('specialization', models.CharField(choices=[('6', 'Алерголог'), ('5', 'Терапевт'), ('4', 'Хірург'), ('1', 'Дерматолог'), ('3', 'Психіатр'), ('2', 'Кардіолог')], max_length=1, verbose_name='Спеціалізація')),
                ('meet_url', models.URLField(verbose_name='Посилання на прийом')),
                ('rating', models.IntegerField(verbose_name='Оцінка')),
                ('expiriance', models.IntegerField(verbose_name='Стаж')),
                ('price', models.CharField(max_length=10, verbose_name='Вартість прийому')),
            ],
            options={
                'verbose_name': 'Лікар',
                'verbose_name_plural': 'Лікарі',
            },
        ),
        migrations.CreateModel(
            name='Medicine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('medicine', models.CharField(max_length=100, verbose_name='Назва товару')),
                ('photo', models.ImageField(max_length=255, upload_to='', verbose_name='Фотографія')),
                ('description', models.TextField(verbose_name='Опис')),
                ('volume', models.IntegerField(default=0, null=True, verbose_name='Об’єм')),
                ('number_of_tablets', models.IntegerField(default=0, null=True, verbose_name='Кількість таблеток')),
                ('weight', models.IntegerField(default=0, null=True, verbose_name='Вага')),
                ('location', models.CharField(choices=[('1', 'Аптека "Подорожник", проспект Юності, 22, Вінниця, Вінницька область, 21000'), ('2', 'Аптека "Подорожник", вулиця Келецька, 106А, Вінниця, Вінницька область, 21000'), ('4', 'Аптека "Авіценна", проспект Космонавтів, 42, Вінниця, Вінницька область, 21027'), ('5', 'Аптека "Конекс", вул, Хмельницьке шосе, 96-А, Вінниця, Вінницька область, 21000'), ('6', 'Аптека "Конекс", вулиця Келецька, 105, Вінниця, Вінницька область, 21000'), ('3', 'Аптека "Авіценна", проспект Юності, 21, Вінниця, Вінницька область, 21000')], default='', max_length=10, verbose_name='Аптека та її адреса')),
                ('location_url', models.URLField(verbose_name='Посилання на місцезнаходження Google Maps')),
                ('price', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='Ціна')),
                ('amount', models.IntegerField(verbose_name='Кількість')),
            ],
            options={
                'verbose_name': 'Ліки',
                'verbose_name_plural': 'Ліки',
                'ordering': ['-amount'],
            },
        ),
        migrations.CreateModel(
            name='News',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Заголовок')),
                ('slug', models.SlugField(max_length=255, verbose_name='URL')),
                ('photo', models.ImageField(max_length=255, upload_to='', verbose_name='Фотографія')),
                ('content', models.TextField(verbose_name='Вміст')),
                ('time_create', models.DateTimeField(auto_now_add=True, verbose_name='Дата публікації')),
                ('is_published', models.BooleanField(default=True, verbose_name='Опубліковано')),
            ],
            options={
                'verbose_name': 'Новина',
                'verbose_name_plural': 'Новини',
                'ordering': ['-time_create'],
            },
        ),
        migrations.CreateModel(
            name='Orders',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=30, verbose_name='Користувач')),
                ('user_email', models.CharField(max_length=50, verbose_name='Електронна адреса')),
                ('user_phonenumber', models.CharField(max_length=20, verbose_name='Номер телефону')),
                ('order_location', models.CharField(max_length=150, verbose_name='Аптека')),
                ('order_medicine', models.CharField(max_length=100, verbose_name='Ліки')),
                ('order_amount', models.CharField(max_length=2, verbose_name='Кількість')),
                ('order_price', models.CharField(max_length=10, verbose_name='Загальна вартість')),
                ('order_code', models.CharField(max_length=6, verbose_name='Код замовлення')),
                ('time_create', models.DateTimeField(verbose_name='Дата замовлення')),
            ],
            options={
                'verbose_name': 'Замовлення',
                'verbose_name_plural': 'Замовлення',
            },
        ),
        migrations.CreateModel(
            name='UserReview',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=150, verbose_name='Користувач')),
                ('text', models.TextField(max_length=1000, verbose_name='Текст')),
                ('rating', models.IntegerField(verbose_name='Оцінка')),
            ],
            options={
                'verbose_name': 'Відгук',
                'verbose_name_plural': 'Відгуки',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='Понеділок')),
                ('tuesday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='Вівторок')),
                ('wednesday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='Середа')),
                ('thursday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='Четвер')),
                ('friday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='П`ятниця')),
                ('saturday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='Субота')),
                ('sunday', multiselectfield.db.fields.MultiSelectField(blank=True, choices=[('08', '08:00'), ('09', '09:00'), ('10', '10:00'), ('11', '11:00'), ('12', '12:00'), ('13', '13:00'), ('14', '14:00'), ('15', '15:00'), ('16', '16:00'), ('17', '17:00'), ('18', '18:00'), ('19', '19:00'), ('20', '20:00')], default=['12', '14', '17', '11', '16', '15', '08', '09', '19', '13', '10', '18', '20'], max_length=124, null=True, verbose_name='Неділя')),
                ('doctor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.doctors', verbose_name='Лікар')),
            ],
            options={
                'verbose_name': 'Розклад',
                'verbose_name_plural': 'Розклади',
            },
        ),
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('username', models.CharField(max_length=50, null=True, unique=True, verbose_name='Електронна адреса')),
                ('surname', models.CharField(max_length=30, verbose_name='По батькові')),
                ('gender', models.CharField(choices=[('m', 'Чоловіча'), ('f', 'Жіноча')], default='', max_length=1, verbose_name='Стать')),
                ('birth_date', models.DateField(default='2023-01-01', verbose_name='Дата народження')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(max_length=20, region=None, unique=True, verbose_name='Номер телефону')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Електронна адреса')),
                ('verification_code', models.CharField(blank=True, max_length=6, null=True, verbose_name='Верифікаційний код')),
                ('user_verified', models.BooleanField(blank=True, default=False, max_length=1, verbose_name='Користувач верифікований')),
                ('user_send_review', models.BooleanField(blank=True, default=False, max_length=1, verbose_name='Користувач надсилав відгук')),
                ('user_ip', models.GenericIPAddressField(null=True, verbose_name='IP адреса')),
                ('request_count', models.PositiveIntegerField(default=0, verbose_name='Кількість запитів на сервер')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
